/********************
 *					*
 *	CSS				*
 *	Bee Happy		*
 *	©2020			*
 *					*
 ********************/


@import url('https://fonts.googleapis.com/css?family=Abhaya+Libre:400,700|Lato:400,700&display=swap');
@font-face {
	font-family: 'caslon';
	src: url('ttf/ACaslonPro-Italic.woff2') format('woff2'),
		 url('ttf/ACaslonPro-Italic.woff') format('woff'),
		 url('ttf/OpenSans-Regular-webfont.ttf') format('truetype');
	font-weight: normal;
	font-style: italic;
}


html,
body {
	margin: 0;
	font-family: 'Lato', sans-serif;
	font-size: 14px;
	color: #636569;
	height: 100%;
}

* { outline: 0; }

a, input, button, select, textarea {
	font-size: 14px;
	resize: none;
}

a {
	color: #636569;
	text-decoration: none;
}


.header {
	position: fixed;
	width: 100%;
	height: 80px;
	line-height: 80px;
	background-color: #f9f7f5;
	z-index: 2;
}

.header-mini {
	margin-right: 40px;
	text-transform: uppercase;
	letter-spacing: 2px;
}

.header-social,
.idiomas { display: inline-block; }

.header-social a { margin-right: 15px; }

.header-social img {
	width: auto;
	height: 16px;
	vertical-align: middle;
}

.idiomas {
	float: right;
	text-align: right;
}

.idiomas a { letter-spacing: 2px; }

.header-social a:hover,
.header-mini:hover,
.idiomas a:hover,
.header-logo:hover,
.home-produtos .produto:hover,
.produtos-relacionados a:hover,
.servicos a:hover,
.bloco-rodape a:hover,
.copy a:hover {
	opacity: 0.5;
	-webkit-opacity: 0.5;
}



.header-menu {
	width: 100%;
	height: 120px;
	line-height: 120px;
	padding-top: 80px;
	text-align: center;
}

.header-menu a {
	font-size: 14px;
	margin: 0 20px;
	letter-spacing: 2px;
	text-transform: uppercase;
}

.header-menu a:hover { color: #d7a461; }

.header-menu a.header-logo { margin: 0 80px; }
.header-logo img { width: 240px; height: auto; vertical-align: middle; }

.header-logo-mini { display: none; float: left; margin-right: 50px; }
.header-logo-mini img { width: auto; height: 36px; vertical-align: middle; }



.bloco-horizontal {
	position: relative;
	width: auto;
	height: 600px;
	font-family: 'Abhaya Libre', sans-serif;
	font-size: 34px;
	color: #fff;
	letter-spacing: 1px;
	line-height: 48px;
	text-align: center;
}

.bloco-horizontal-home {
	background: #ddd url('../imagens/img-produtos-apiculas.png') no-repeat center;
	background-size: cover;
}

.texto-bg {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateX(-50%) translateY(-50%);
}

.botao-bg {
	display: block;
	font-family: 'Lato', sans-serif;
	font-size: 12px;
	color: #fff;
	background-color: transparent;
	margin: 50px auto 0 auto;
	padding: 15px 50px;
	border: solid 1px #fff;
	text-transform: uppercase;
	letter-spacing: 2px;
	cursor: pointer;
}

.botao-bg:hover { background-color: #d7a461; border-color: #d7a461; }

.botao {
	color: #636569;
	border-color: transparent;
	border-bottom: solid 1px #636569;
	padding: 0 0 6px 0;
}

.botao:hover {
	color: #d7a461;
	background-color: initial;
	border-color: transparent;
	border-bottom: solid 1px #d7a461;
}



.bloco-container { padding: 87px 0 95px 0; }

.home-servicos,
.servicos,
.contactos {
	width: 760px;
	font-size: 18px;
	margin: auto;
	line-height: 34px;
	text-align: center;
}



.bloco-container.home-produto { padding: 115px 0; }

.home-produto {
	/*background-color: #f9f7f5;*/
	background: #f9f7f5 url('../imagens/img-cera.png') no-repeat 100px 100px;
	background-size: 650px auto;
	text-align: center;
}

.home-produto div {
	display: inline-block;
	width: 523px;
	font-size: 18px;
	line-height: 34px;
	text-align: right;
}

.home-produto p,
.sobre p,
.produto p,
.contactos p,
.privacidade p {
	font-family: 'Abhaya Libre', sans-serif;
	font-size: 34px;
	color: #d7a461;
	margin: 0 0 14px 0;
	line-height: 48px;
	letter-spacing: 1px;
}

.home-produto p span {
	display: block;
	font-family: 'caslon';
	font-style: italic;
}

.home-produto .botao-bg { margin-right: 0; }


/*
 * PRODUTOS
 */
.bloco-container.home-produtos-container { padding: 0; margin: 95px 0 -25px 0; }

.home-produtos {
	width: calc(100% - 148px);
	text-align: center;
	margin: 0;
}

.home-produtos .produto {
	display: inline-block;
}

.home-produtos .produto p {
	font-family: 'Abhaya Libre', sans-serif;
	font-size: 22px;
	color: #d7a461;
	margin-top: 20px;
	letter-spacing: 1px;
}

.home-produtos .produto img {
	width: 322px;
	max-width: 100%;
	max-height: 322px;
}

.bloco-horizontal-produto {
	background: #ddd url('../imagens/img-produtos.png') no-repeat center;
	background-size: cover;
}

.bloco-container.produto {
	font-size: 18px;
	padding: 96px 0 86px 0;
	margin: auto;
	text-align: justify;
	line-height: 34px;
}

.bloco-container.produto p { margin-bottom: 8px; }
.bloco-container.produto button { display: block; margin-top: 30px !important; }

.produtos-relacionados {
	border-top: solid 1px #636569;
	margin: auto;
	text-align: center;
}

.produtos-relacionados p {
	font-size: 14px;
	margin: 38px auto 35px auto;
	text-transform: uppercase;
	letter-spacing: 2px;
}

.produtos-relacionados a {
	font-family: 'Abhaya Libre', sans-serif;
	font-size: 22px;
	margin: 0 15px;
	letter-spacing: 1px;
}


/*
 * SOBRE/SERVIÇOS
 */
.bloco-rectangulo.sobre { padding: 95px 0 85px 0; }

.sobre {
	font-size: 18px;
	background-color: #f9f7f5;
	padding: 120px 0;
	margin: auto;
	text-align: justify;
	line-height: 34px;
}

.sobre .container div, .produto .container div { display: inline-block; width: calc(95% / 2); vertical-align: top; }
.sobre .container div:not(:last-child), .produto .container div:not(:last-child) { margin-right: 40px; }
.sobre .container, .produto .container { margin: auto; vertical-align: top; }
.sobre .container img, .produto .container img { width: 100%; height: auto; pointer-events: none; }

.servicos { margin-top: 90px; }
.servicos-lista { margin-top: 90px; }

.servicos span,
.servicos a {
	display: block;
	font-size: 16px;
	color: #d7a461;
	padding: 50px 0;
	border-top: solid 1px #d7a461;
	text-transform: uppercase;
	letter-spacing: 2px;
}

.servicos span:last-child { border-bottom: solid 1px #d7a461; }
.servicos a { border: 0; padding: 0; }


/*
 * CONTACTOS
 */
.contactos { margin-top: 45px; }

.contactos a {
	font-size: 18px;
}

.form-contacto label,
.form-contacto input[type=text],
.form-contacto textarea {
	display: block;
	font-family: 'Lato', sans-serif;
	color: #636569;
	width: 100%;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

.form-contacto input,
.form-contacto textarea,
.bloco-container.produto button {
	height: 50px;
	border: solid 1px #636569;
}

.form-contacto textarea { height: 200px; }

.form-contacto input[type=text],
.form-contacto textarea { margin-bottom: 12px; padding: 15px; }

.form-contacto label {
	font-size: 14px;
	text-transform: uppercase;
	letter-spacing: 2px;
}

.form-contacto input[type=submit],
.bloco-container.produto button {
	font-size: 12px;
	color: #fff;
	background-color: #636569;
	padding: 0 50px;
	margin-top: 29px;
	text-transform: uppercase;
	letter-spacing: 2px;
	cursor: pointer;
}

.form-contacto input[type=submit]:hover,
.bloco-container.produto button:hover {
	background-color: #d7a461;
	border-color: #d7a461;
}

.form-contacto #captcha {
	padding-right: 70px;
	background: #fff url("../captcha.php") no-repeat right;
}

.form-contacto { margin: 80px 0 90px 0; text-align: left; }


/*
 * PRIVACIDADE
 */
.privacidade p { margin: 45px 0 10px 0; text-align: center; }

.privacidade span {
	display: block;
	font-family: 'Abhaya Libre', sans-serif;
	font-size: 22px;
	/*
	font-family: 'caslon';
	font-style: italic;
	*/
	margin: -3px 0 6px 0;
	letter-spacing: 1px;
}

.privacidade,
.privacidade a {
	font-size: 18px;
	/*margin: 0 auto 90px auto;*/
	margin: auto;
	text-align: justify;
	line-height: 34px;
}


.privacidade a:hover,
.contactos a:hover { color: #d7a461; }


/*
 * RODAPE
 */
.bloco-container.rodape { padding: 60px 0 0 0; }

.rodape {
	background-color: #f9f7f5;
	/*padding-bottom: 0;*/
	margin-top: 90px;
	text-align: center;
}

.bloco-rodape {
	display: inline-block;
	width: calc(99% / 3);
	vertical-align: top;
}

.bloco-rodape p { text-transform: uppercase; letter-spacing: 2px; margin: 0 0 20px 0; }
.bloco-rodape a { display: block; margin-bottom: 8px; }
/*.bloco-rodape a:after { content: '\A'; white-space: pre; }*/

.from-portugal {
	font-family: 'caslon';
	font-style: italic;
	font-size: 22px;
	margin: 17px 0 56px 0;
}

.copy { border-top: solid 1px #636569; padding: 37px 0; margin-bottom: 0; }

.copy .limite div { display: inline-block; width: calc(100% / 2); text-align: left; }
.copy .limite div:last-child { float: right; text-align: right; }
.copy div a { margin-right: 30px; }


/*
 * DIALOG
 */
.ui-dialog {
	position: fixed !important;
	font-family: 'Lato', sans-serif !important;
	font-size: 18px !important;
	color: #636569 !important;
	border-radius: 0px !important;
	border: none !important;
	padding: 10px !important;
	width: 400px !important;
	max-width: 500px !important;
	height: auto !important;
	line-height: 30px;
	z-index: 9999;
}

.ui-widget-overlay {
	background: none !important;
	background-color: rgba(38,38,38,0.8) !important;
	opacity: initial !important;
}

.ui-dialog-content {
	padding: 25px !important;
	text-align: left;
	list-style: none;
}
	
.ui-dialog button {
	font-size: 12px !important;
	color: #fff !important;
	background: none !important;
	background-color: #636569 !important;
	border: none !important;
	padding: 10px 20px;
	text-align: center;
}

.ui-dialog-buttonpane {
	border: none !important;
	border-radius: 0px !important;
}

.ui-dialog button:hover {
	background-color: #636a6b !important;
	opacity: 0.8;
	-webkit-opacity: 0.8;
}

.ui-corner-all { border-radius: 0px !important; }

.ui-dialog-title,
.ui-dialog-titlebar,
.ui-dialog-titlebar-close { display: none !important; }


/*
 * OWL
 */
.owl-carousel { width: calc(100% - 148px); margin: 0 80px; }

.owl-nav {
	position: absolute;
	top: 35%;
	width: 99%;
}

.owl-next,
.owl-prev {
	position: absolute;
	width: 12px;
	height: 24px;
	color: #636569;
	background-color: transparent;
	border: 0;
}

.owl-next:hover,
.owl-prev:hover {
	opacity: 0.5;
	-webkit-opacity: 0.5;
}

.owl-prev {
	left: -80px;
	background: url('../imagens/icon-seta-esquerda.png') no-repeat center;
	background-size: cover;
}

.owl-next {
	right: -80px;
	background: url('../imagens/icon-seta-direita.png') no-repeat center;
	background-size: cover;
}



.container { width: 1046px; }
.limite { margin: auto 74px; }


/*
 * RESP
 */
@media only screen and (max-width: 1024px) {
	html, body,
	a, input, button, select, textarea,
	.header-menu a,
	.produtos-relacionados p,
	.form-contacto label { font-size: 12px; }
	
	.home-produtos .produto p { font-size: 18px; line-height: initial; }
	
	.home-produto div:last-child { width: 45%; }
	
	.home-produto { background-position: 0 100px; }
	
	.container { width: 90%; }
	.limite { margin: auto 40px; }
}

@media only screen and (max-width: 768px) {
	.header-menu { display: none; }
	.header { top: 0; }
	
	.header-mini:not(.header-logo-mini) { margin: 0 20px 10px 0; }
	.header-logo-mini { position: absolute; top: 0; left: 40px; }
	
	/*.header-mobile { margin-left: 20px; }*/
	
	.header-mobile:after {
		float: right;
		content: "\2630";
		font-size: 24px;
		cursor: pointer;
	}
	
	.menu-mobile-fechar:after { content: "\2716"; }
	
	.menu-mobile {
		display: none;
		position: absolute;
		top: 80px;
		right: 0;
		background-color: #f9f7f5;
		padding: 10px 30px;
	}
	
	.menu-mobile * {
		display: block;
		line-height: initial;
	}
	
	.menu-mobile .social { display: inline-block !important; }
	.menu-mobile img { height: 16px; }
	
	.bloco-horizontal, .bloco-rectangulo { margin-top: 80px; }
	
	.container { font-size: 14px; margin-top: 120px; }
	
	.home-produto { background-size: 400px auto; background-position: 0 220px;  }
	
	.home-produto div,
	.home-servicos { font-size: 14px; }
	
	.home-produto div:last-child { width: initial; }
	
	.owl-carousel { width: 100%; margin: auto; }
	.owl-prev { left: -35px; }
	.owl-next { right: -35px; }
	
	.home-produtos.limite { margin: auto; }
	
	.sobre .container div:not(:last-child) { margin: initial; }
	
	.ui-dialog { font-size: 14px !important; max-width: 80% !important; }
	
	.sobre .container,
	.bloco-rectangulo.servicos,
	.bloco-rectangulo.contactos,
	.bloco-container.produto { width: 90%; font-size: 14px; }
}

@media only screen and (max-width: 490px) {
	*:not(span) { font-size: 12px; }
	
	.bloco-horizontal { height: 400px; line-height: 28px; }
	.texto-bg { font-size: 18px; }
	
	.home-servicos,
	.home-produto div { max-width: 90%; }
	
	.owl-carousel { width: 100%; margin: 0; }
	.home-produtos .produto img { width: 100%; height: auto; min-height: auto; }
	
	.home-produto { background: #f9f7f5; }
	
	.sobre .container div,
	.produto .container div,
	.bloco-container.produto button,
	.form-contacto input[type="submit"],
	.bloco-rodape {
		display: block;
		width: 100%;
		margin-bottom: 40px;
	}
	
	.bloco-container.produto { padding-bottom: 0; }
	
	.copy .limite div,
	.copy .limite div:last-child,
	.copy .limite div a {
		display: block;
		width: 100%;
		text-align: center;
		clear: both;
	}
	
	.copy .limite div { margin-bottom: 20px; }
	.copy .limite div a { margin-bottom: 10px; }
}